# DP: Description: Enable ldconfig and such on hurd-i386
# DP: Author: Jeff Bailey <jbailey@nisa.net>
# DP: Related Bugs: #309489
# DP: Upstream status: Not submitted
# DP: Status Details: Upstream disagrees with this patch, but I'm
# DP: putting it in so that we have expected Debian behaviour on the
# DP: Hurd.  We should review this when the ELF standard supports runpath.
# DP: Date: 08 Apr 2003
  
---
 elf/ldconfig.c                 |    4 ++++
 sysdeps/mach/hurd/configure    |    2 ++
 sysdeps/mach/hurd/configure.in |    2 ++
 sysdeps/mach/hurd/dl-cache.c   |   29 -----------------------------
 4 files changed, 8 insertions(+), 29 deletions(-)

--- a/sysdeps/mach/hurd/configure
+++ b/sysdeps/mach/hurd/configure
@@ -90,3 +90,5 @@
 echo "$as_me: error: Hurd headers not installed or too old" >&2;}
    { (exit 1); exit 1; }; }
 fi
+
+use_ldconfig=yes
--- a/sysdeps/mach/hurd/configure.in
+++ b/sysdeps/mach/hurd/configure.in
@@ -36,3 +36,5 @@
 if test "x$libc_cv_hurd_version" != xok; then
   AC_MSG_ERROR(Hurd headers not installed or too old)
 fi
+
+use_ldconfig=yes
--- a/sysdeps/mach/hurd/dl-cache.c
+++ /dev/null
@@ -1,29 +0,0 @@
-/* Stubby version of dl-cache; the Hurd doesn't support this "feature".
-   Copyright (C) 1996, 1997 Free Software Foundation, Inc.
-   This file is part of the GNU C Library.
-
-   The GNU C Library is free software; you can redistribute it and/or
-   modify it under the terms of the GNU Lesser General Public
-   License as published by the Free Software Foundation; either
-   version 2.1 of the License, or (at your option) any later version.
-
-   The GNU C Library is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-   Lesser General Public License for more details.
-
-   You should have received a copy of the GNU Lesser General Public
-   License along with the GNU C Library; if not, write to the Free
-   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
-   02111-1307 USA.  */
-
-const char *
-_dl_load_cache_lookup (const char *name)
-{
-  return 0;
-}
-
-void
-_dl_unload_cache (void)
-{
-}
--- a/elf/ldconfig.c
+++ b/elf/ldconfig.c
@@ -59,6 +59,10 @@
 
 #define PACKAGE _libc_intl_domainname
 
+#ifndef PATH_MAX
+#define PATH_MAX 1024
+#endif
+
 static const struct
 {
   const char *name;
